#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  kio-extras-25.12.2

- Next

  libkdcraw-25.12.2

- Up
- Home

# okular-25.12.2

## Introduction to Okular

Okular is a document viewer for KDE. It can view documents of many types including PDF, PostScript, TIFF, DjVu, DVI, XPS, and ePub.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/okular-25.12.2.tar.xz

- Download MD5 sum: b20d6ba9fce2139ac739fe6aea9569ff

- Download size: 7.9 MB

- Estimated disk space required: 98 MB

- Estimated build time: 1.0 SBU (using parallelism=4)

### Okular Dependencies

#### Required

KDE Frameworks-6.23.0 and plasma-activities-6.6.1

#### Recommended

libkexiv2-25.12.2, libtiff-4.7.1, phonon-4.12.0, and Poppler-26.04.0 (built with Qt6, required for PDF support)

#### Optional

qca-2.3.10, discount, DjVuLibre, libspectre, libepub, and LibZip

## Installation of Okular

Install Okular by running the following commands:

### Note

If any of the optional dependencies are installed, remove the associated reference in the SKIP_OPTIONAL environment variable.

    mkdir build &&
    cd    build &&

    SKIP_OPTIONAL='Discount;DjVuLibre;EPub;LibSpectre;LibZip'

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -D FORCE_NOT_REQUIRED_DEPENDENCIES="$SKIP_OPTIONAL" \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: okular
Installed Library: Okular6Core.so
Installed Directories: $KF6_PREFIX/include/okular, $KF6_PREFIX/lib/cmake/Okular6, $KF6_PREFIX/lib/plugins/okular, $KF6_PREFIX/share/okular, and $KF6_PREFIX/share/doc/HTML/*/okular

### Short Descriptions

okular | is a document viewer for KDE

- Prev

  kio-extras-25.12.2

- Next

  libkdcraw-25.12.2

- Up
- Home